Subject: Re: [bug#45299] [PATCH] maint: Require Guile >= 2.2.6.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 20 Dec 2020 00:04:05 +0100

Hi,

Vagrant Cascadian <[email-masked]> skribis:

> On 2020-12-18, Ludovic Courtès wrote:
>> Efraim Flashner <[email-masked]> skribis:
>>
>>> Debian 10 (the current release) has guile-2.2.4
>
>> Hmm OK.  Should it hold us back, though?
>
> Debian 10 doesn't have many of the guile-* build dependencies, so I
> would not recommend the current Debian stable release block bumping the
> minimum guile 2.2 version for guix...

Alright.  Pushed as 4f621a2b003e85d480999e4d0630e9dc3de85bc3!

> The guix package may not make it out of Debian experimental any time
> soon... unless I switch it to use guile-2.2 (and track down the
> corresponding test suite failures) or the guile-gnutls test suite issues
> with guile-3.0 get fixed.

Noted, I should keep investigating.

Thanks for your feedback!

Ludo’.